Hello,

the attached patch changes:

  2007-07-09  Wolfgang Grandegger  <[EMAIL PROTECTED]>

 * include/asm-generic/wrappers.h: add  __deprecated for Linux 2.4.

Wolfgang.


Index: include/asm-generic/wrappers.h
===================================================================
--- include/asm-generic/wrappers.h	(revision 2758)
+++ include/asm-generic/wrappers.h	(working copy)
@@ -179,6 +179,8 @@ void show_stack(struct task_struct *task
 
 #define atomic_cmpxchg(v, old, new) ((int)cmpxchg(&((v)->counter), old, new))
 
+#define __deprecated  __attribute__((deprecated))
+
 #else /* LINUX_VERSION_CODE >= KERNEL_VERSION(2,5,0) */
 
 #define compat_module_param_array(name, type, count, perm) \
Index: ChangeLog
===================================================================
--- ChangeLog	(revision 2758)
+++ ChangeLog	(working copy)
@@ -1,3 +1,7 @@
+2007-07-09  Wolfgang Grandegger  <[EMAIL PROTECTED]>
+
+	* include/asm-generic/wrappers.h: add  __deprecated for Linux 2.4.
+
 2007-07-08  Philippe Gerum  <[EMAIL PROTECTED]>
 
 	* xenomai: Upgrade to autoconf 2.61, automake 1.10, libtool
_______________________________________________
Xenomai-core mailing list
Xenomai-core@gna.org
https://mail.gna.org/listinfo/xenomai-core

Reply via email to